Announcement Announcement Module
Collapse
No announcement yet.
Does Spring AMQP really support QPID ? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Does Spring AMQP really support QPID ?

    Greetings,

    Reading the Sprinq AMQP documentation I've seen that it would support Apache QPID. However, I downloaded spring-amqp-1.0.0.RC1 and I didn't find any QPID implementation. Is QPID really supported and, if yes, where could one download it ?

    Kind regards,

    Nicolas DUMINIL

  • #2
    Currently we only support the Rabbit client underneath Spring AMQP. However, that is somewhat of an implementation detail given that the Rabbit client itself should work with any AMQP broker. Do you have a specific reason that you want to be able to switch to the Qpid client?

    Comment


    • #3
      Thank you for your reply.

      Our company is using RedHat MRG (Messaging Realtime Grid) which, on the messaging side, uses Apache QPID. Instead of using QPID APIs or JMS, we intend to use Spring AMQP in messaging applications. Are you saying that the RabbitMQ implementation could be used to develop messaging application to communicate with QPID C++/Java brokers ?

      Kind regards,

      Nicolas DUMINIL

      Comment


      • #4
        Okay, I've got my answer. Trying to run org.springframework.amqp.helloworld.BrokerConfigur ationApplication against my message broker (RedHat MRG 1.3 equivalent with QPID 0.10), I've got the exception:

        AMQP protocol version mismatch; we are in version 0.9.1, server sent signature 1,1,0,10.

        So should I conclude you don't support QPID ?

        Kind regards,

        Nicolas DUMINIL

        Comment


        • #5
          The current Rabbit client only supports up to AMQP 0.9.1.

          Comment

          Working...
          X